<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Emscripten Example</title>
    <link rel="shortcut icon" href="data:image/svg+xml,%3csvg%20xmlns='http://www.w3.org/2000/svg'%20height='16px'%20viewBox='0%20-960%20960%20960'%20width='16px'%20fill='%23e8eaed'%3e%3cpath%20d='M189-160q-60%200-102.5-43T42-307q0-9%201-18t3-18l84-336q14-54%2057-87.5t98-33.5h390q55%200%2098%2033.5t57%2087.5l84%20336q2%209%203.5%2018.5T919-306q0%2061-43.5%20103.5T771-160q-42%200-78-22t-54-60l-28-58q-5-10-15-15t-21-5H385q-11%200-21%205t-15%2015l-28%2058q-18%2038-54%2060t-78%2022Zm3-80q19%200%2034.5-10t23.5-27l28-57q15-31%2044-48.5t63-17.5h190q34%200%2063%2018t45%2048l28%2057q8%2017%2023.5%2027t34.5%2010q28%200%2048-18.5t21-46.5q0%201-2-19l-84-335q-7-27-28-44t-49-17H285q-28%200-49.5%2017T208-659l-84%20335q-2%206-2%2018%200%2028%2020.5%2047t49.5%2019Zm348-280q17%200%2028.5-11.5T580-560q0-17-11.5-28.5T540-600q-17%200-28.5%2011.5T500-560q0%2017%2011.5%2028.5T540-520Zm80-80q17%200%2028.5-11.5T660-640q0-17-11.5-28.5T620-680q-17%200-28.5%2011.5T580-640q0%2017%2011.5%2028.5T620-600Zm0%20160q17%200%2028.5-11.5T660-480q0-17-11.5-28.5T620-520q-17%200-28.5%2011.5T580-480q0%2017%2011.5%2028.5T620-440Zm80-80q17%200%2028.5-11.5T740-560q0-17-11.5-28.5T700-600q-17%200-28.5%2011.5T660-560q0%2017%2011.5%2028.5T700-520Zm-360%2060q13%200%2021.5-8.5T370-490v-40h40q13%200%2021.5-8.5T440-560q0-13-8.5-21.5T410-590h-40v-40q0-13-8.5-21.5T340-660q-13%200-21.5%208.5T310-630v40h-40q-13%200-21.5%208.5T240-560q0%2013%208.5%2021.5T270-530h40v40q0%2013%208.5%2021.5T340-460Zm140-20Z'/%3e%3c/svg%3e" />
    <style>
        body {
            background-color: #fff;
        }

        .game {
            position: absolute;
            top: 5%;
            left: 2%;
            margin: 0;
            border: 0;
            border-radius: 10px;
            width: 96%;
            height: 90%;
            overflow: hidden;
            display: block;
            box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
            image-rendering: optimizeSpeed;
            image-rendering: -moz-crisp-edges;
            image-rendering: -o-crisp-edges;
            image-rendering: -webkit-optimize-contrast;
            image-rendering: optimize-contrast;
            image-rendering: crisp-edges;
            image-rendering: pixelated;
            -ms-interpolation-mode: nearest-neighbor
        }
    </style>
</head>
<body>
  <canvas class="game" id="canvas" oncontextmenu="event.preventDefault()"></canvas>
  <script type="text/javascript">
    var Module = {
        preRun: [],
        postRun: [],
        print: (() => {
            return (text) => {
                text = Array.prototype.slice.call(arguments).join(' ');
                console.log(text);
            };
        })(),
        printErr: (text) => {
            text = Array.prototype.slice.call(arguments).join(' ');
            console.error(text);
        },
        canvas: (() => {
            let canvas = document.getElementById('canvas');

            canvas.addEventListener("webglcontextlost", e => {
                alert('FIXME: WebGL context lost, please reload the page');
                e.preventDefault();
            }, false);

            return canvas;
        })(),
        setStatus: text => { },
        monitorRunDependencies: left => { },
    };
    window.onerror = function(event) {
        console.log("onerror: " + event.message);
    };
  </script>
  {{{ SCRIPT }}}
</body>
</html>
